From cf7e97ece39994d9c219bf3d4f3f70815e1c0867 Mon Sep 17 00:00:00 2001
From: Lars Wendler <polynomial-c@gentoo.org>
Date: Tue, 15 May 2018 13:40:37 +0200
Subject: [PATCH] attr/xattr.h is deprecated. Use sys/xattr.h instead

See also:
http://git.savannah.nongnu.org/cgit/attr.git/commit/?id=7921157890d07858d092f4003ca4c6bae9fd2c38
---
 configure.ac          | 2 +-
 src/xattr_manager.hpp | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index 040e88f..bc769f3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -156,7 +156,7 @@ fi
 
 if test x$enable_eua = xyes;
 then
-    AC_CHECK_HEADERS([attr/xattr.h], [], AC_MSG_ERROR([This header is mandatory for extended user attributes support]), [])
+    AC_CHECK_HEADERS([sys/xattr.h], [], AC_MSG_ERROR([This header is mandatory for extended user attributes support]), [])
     AC_DEFINE([ENABLE_USER_XATTR], [1], [Enables user extended attributes support])
 fi
 AM_CONDITIONAL(ENABLE_USER_XATTR, test x$enable_eua = xyes)
diff --git a/src/xattr_manager.hpp b/src/xattr_manager.hpp
index 5f59e17..3d41443 100644
--- a/src/xattr_manager.hpp
+++ b/src/xattr_manager.hpp
@@ -26,7 +26,10 @@
 #include <sys/stat.h>
 #include <unistd.h>
 
-#include <attr/xattr.h>
+#include <sys/xattr.h>
+#ifndef ENOATTR
+#define ENOATTR ENODATA
+#endif
 
 #include <string>
 #include <cstring>
